Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocTags

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocTags

    public final class JavadocTags

extends Object

Value object for combining the list of valid validTags with information about invalid validTags encountered in a certain Javadoc comment.

Author:
  Oliver Burn

Constructor Summary
`JavadocTags(List<JavadocTag> aTags, List<InvalidJavadocTag> aInvalidTags)` Creates an instance.

Method Summary
`List<InvalidJavadocTag>` | `getInvalidTags()`
`List<JavadocTag>` | `getValidTags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocTags

    public JavadocTags(List<JavadocTag> aTags,
                       List<InvalidJavadocTag> aInvalidTags)

  Creates an instance.

  Parameters:
    `aTags` - the list of valid tags
    `aInvalidTags` - the list of invalid tags

Method Detail

### getValidTags

    public List<JavadocTag> getValidTags()

### getInvalidTags

    public List<InvalidJavadocTag> getInvalidTags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.